
#include <ocarina/footer.h>
#include <ocarina/button.h>

static GtkWidget *footer = NULL;

static void footer_pack(GtkWidget *widget)
{
	box_pack_start(footer, widget, FALSE, FALSE, 0);
}

static void make_tiny_footer()
{
	footer = gtk_hbox_new(FALSE, 0);
	gtk_widget_show(footer);

	footer_pack(make_open_button());
	footer_pack(make_rewind_button());
	footer_pack(make_forward_button());
	footer_pack(make_play_button());
	footer_pack(make_pause_button());
	footer_pack(make_stop_button());
	footer_pack(make_volume_button());
}

GtkWidget *get_tiny_footer()
{
	if (footer == NULL)
		make_tiny_footer();
	return footer;
}
